Commit 119218f3 authored by sympa-authors's avatar sympa-authors
Browse files

Change: do not request user interaction in important_change if DESTDIR is set


git-svn-id: https://subversion.renater.fr/sympa/trunk@3308 05aa8bb8-cd2b-0410-b1d7-8918dfa770ce
parent 6d35eb9f
......@@ -255,6 +255,7 @@ install: importantchanges installsrc installwws installwebtt2 installmailtt2 ins
importantchanges:
@( PERL=$(PERL); export PERL; \
UMASK=0600; export UMASK; \
DESTDIR=$(DESTDIR); export DESTDIR; \
BINDIR=$(SBINDIR); export BINDIR; \
SBINDIR=$(SBINDIR); export SBINDIR; \
LIBDIR=$(LIBDIR); export LIBDIR; \
......
......@@ -598,6 +598,7 @@ install: importantchanges installsrc installwws installwebtt2 installmailtt2 ins
importantchanges:
@( PERL=$(PERL); export PERL; \
UMASK=0600; export UMASK; \
DESTDIR=$(DESTDIR); export DESTDIR; \
BINDIR=$(SBINDIR); export BINDIR; \
SBINDIR=$(SBINDIR); export SBINDIR; \
LIBDIR=$(LIBDIR); export LIBDIR; \
......
......@@ -33,7 +33,7 @@ unless ($current_version) {
}
## Get previous installed version of Sympa
unless (open VERSION, "$ENV{'BINDIR'}/Version.pm") {
unless (open VERSION, "$ENV{'DESTDIR'}$ENV{'BINDIR'}/Version.pm") {
print STDERR "Could not find previous install of Sympa ; assuming first install\n";
exit 0;
}
......@@ -85,7 +85,7 @@ while (<NOTES>) {
}
close NOTES;
print "<RETURN>";
my $wait = <STDIN>;
my $wait = <STDIN> unless ($ENV{'DESTDIR'}); ## required for package building
sub higher {
my ($v1, $v2) = @_;
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment